classification
Title: Allow Python code to change Py3k warning flag
Type: enhancement Stage:
Components: Versions: Python 2.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, christian.heimes
Priority: critical Keywords: patch

Created on 2008-03-22 21:29 by benjamin.peterson, last changed 2008-07-31 02:06 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
change_py3kwarning.patch benjamin.peterson, 2008-03-22 21:29
change_py3kwarning2.patch benjamin.peterson, 2008-04-18 21:23
Messages (4)
msg64339 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-22 21:29
This patch removed sys.py3kwarning and adds sys.getpy3kwarn,
sys.enablepy3kwarn, and sys.disablepy3kwarn with docs. I also changed
the places in the Lib which used sys.py3kwarning.
msg64565 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-26 20:46
Raising priority so this is looked at before we release 2.6. :)
msg65625 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-04-18 21:23
As suggested by Christian, this patch changes the method names to
setpy3kwarn and getpy3kwarn.
msg70470 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-31 02:06
I guess this isn't going anywhere...
History
Date User Action Args
2008-07-31 02:06:09benjamin.petersonsetstatus: open -> closed
resolution: rejected
messages: + msg70470
versions: + Python 2.7, - Python 2.6
2008-04-18 21:23:19benjamin.petersonsetfiles: + change_py3kwarning2.patch
nosy: + christian.heimes
messages: + msg65625
2008-03-26 20:46:00benjamin.petersonsetpriority: critical
messages: + msg64565
2008-03-22 21:29:04benjamin.petersoncreate